<!DOCTYPE html>
<html lang="en" dir="ltr">

<head>
    <meta charset="utf-8">
    <title></title>
</head>

<body>

    <script type="text/javascript">
        /* Objetivo: Executar um comando por um número indeterminado de vezes usando uma variável de controle (valor lógico == true, por exemplo)
                      ao invés de contadores. O controle pode ser feito por meio de perguntas ao usuário usando o método confirm (OK ou Cancelar, por exemplo)*/

        var js_contador = 1;
        var js_resposta = true;

        while (js_resposta == true) {
            document.write("<p>" + js_contador + "&ordf; Repetição de uma única linha de comando dentro de um laço condicional;");
            js_contador += 1;
            js_resposta = window.confirm("Deseja continuar?");

        }
    </script>
</body>

</html>